Summary: Pythia8 - An event generator for High Energy Physics
Name: pythia8
%define __version 244
Version: %{__version}
Release: 10.14%{?dist}1a

Prefix: /opt/pythia

License: T.Sjostrand (2015)
Group: Development/Libraries
Source0: localhost:/%{name}%{version}.tgz
Patch0: localhost:/pythia8235-destdir.patch
URL: http://www.thep.lu.se/~torbjorn/Pythia.html
Packager: Keifuke Fujii <keisuke.fujii@kek.jp>
BuildRoot: %{_tmppath}/pythia-root

%description
Pythia is an event generator for various processes in high
energy physics written by Torbjorn Sjostrand of Lund University.

Disclaimer: 
this program comes without any guarantees. Beware 
of errors and use common sense when interpreting results.

%prep
%setup -n pythia8%{version}
%patch0 -p1 -b .destdir

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/v8.%{version}

%build
./configure --prefix=%{prefix}/v8.%{version} --enable-shared --cxx=g++
make %{?_smp_mflags}


%install
make install DESTDIR=${RPM_BUILD_ROOT}



%clean
rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/v8.%{version}
#%doc 

%changelog
* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 8.244-10.14hepx1a
- 1st build and release of version 8.244 on MacOSX 10.14
- built with OSXWS 10.14

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 8.235-10.14hepx2b
- 2nd build and release on MacOSX 10.14
- built with OSXWS 10.14

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 8.235-10.14hepx2a
- 1st build and release on MacOSX 10.14
- built with OSXWS 10.13

* Tue Apr 03 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 8.235-10.13hepx2a
- 1st build and release on MacOSX 10.13
- built with OSXWS 10.13
- updated destdir patch for 8.235

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 8.215-10.12hepx1b
- 2nd build and release on MacOSX 10.12
- built with OSXWS 10.12

* Sun Dec 18 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 8.215-10.12hepx1a
- 1st build and release on MacOSX 10.12
- built with OSXWS 10.11

* Tue Oct 11 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 8.215-10.11hepx1a
- 1st build and release on MacOSX 10.11
- use g++5.3

* Tue Feb 16 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 8.215-10.11hepx1a
- 1st build and release on MacOSX 10.11
